Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::FrameStamp Class Reference

Class which encapsulates the frame number, reference time and calendar time of specific frame, used to synchonize operations on the scene graph and other machines when using a graphics cluster. More...

Inheritance diagram for osg::FrameStamp:

[legend]
List of all members.

## Public Member Functions
| FrameStamp ()
| FrameStamp (const FrameStamp &fs)
FrameStamp & | operator= (const FrameStamp &fs)
void | setFrameNumber (int fnum)
int | getFrameNumber () const
void | setReferenceTime (double refTime)
double | getReferenceTime () const
void | setCalendarTime (const tm &calendarTime)
void | getCalendarTime (tm &calendarTime) const
virtual | ~FrameStamp ()
## Protected Attributes
int | _frameNumber
double | _referenceTime
int | tm_sec
int | tm_min
int | tm_hour
int | tm_mday
int | tm_mon
int | tm_year
int | tm_wday
int | tm_yday
int | tm_isdst

## Detailed Description

Class which encapsulates the frame number, reference time and calendar time of specific frame, used to synchonize operations on the scene graph and other machines when using a graphics cluster.

Note the calendar time can be an artificial simulation time or capture the real time of day etc.

## Constructor & Destructor Documentation

osg::FrameStamp::FrameStamp | ( |  | ) |

osg::FrameStamp::FrameStamp | ( | const FrameStamp & | fs | ) |

virtual osg::FrameStamp::~FrameStamp | ( |  | ) | `[virtual]`

## Member Function Documentation

void osg::FrameStamp::getCalendarTime | ( | tm & | calendarTime | ) | const

int osg::FrameStamp::getFrameNumber | ( |  | ) | const`[inline]`

double osg::FrameStamp::getReferenceTime | ( |  | ) | const`[inline]`

FrameStamp& osg::FrameStamp::operator= | ( | const FrameStamp & | fs | ) |

void osg::FrameStamp::setCalendarTime | ( | const tm & | calendarTime | ) |

void osg::FrameStamp::setFrameNumber | ( | int | fnum | ) | `[inline]`

void osg::FrameStamp::setReferenceTime | ( | double | refTime | ) | `[inline]`

## Member Data Documentation

int osg::FrameStamp::_frameNumber`[protected]`

double osg::FrameStamp::_referenceTime`[protected]`

int osg::FrameStamp::tm_hour`[protected]`

int osg::FrameStamp::tm_isdst`[protected]`

int osg::FrameStamp::tm_mday`[protected]`

int osg::FrameStamp::tm_min`[protected]`

int osg::FrameStamp::tm_mon`[protected]`

int osg::FrameStamp::tm_sec`[protected]`

int osg::FrameStamp::tm_wday`[protected]`

int osg::FrameStamp::tm_yday`[protected]`

int osg::FrameStamp::tm_year`[protected]`

The documentation for this class was generated from the following file:

- FrameStamp